local f=CreateFrame("Frame",nil,QuestLogDetailScrollChildFrame)
f:SetSize(288,100)
f:SetPoint("TOPLEFT",QuestInfoRewardsFrame)
f.text = f.text or f:CreateFontString(nil,"ARTWORK","QuestFont_Shadow_Huge")
f.text:SetAllPoints(true)
f.text:SetJustifyH("RIGHT")
f.text:SetJustifyV("TOP")
f.text:SetTextColor(0,0,0,1)

function ShowQuestId_OnQuestInfo_Display(template,parent,...)
	local i = 1
	while template.elements[i] do
		if template.elements[i] == QuestInfo_ShowTitle then
		  f:SetPoint("TOPLEFT",template.elements[i]())
		  shownFrame, bottomShownFrame = template.elements[i]();
		  f:SetParent(parent)
		  f:SetWidth(shownFrame:GetWidth())
		  shownFrame:SetWidth(shownFrame:GetWidth()-50)
          
		  local questid
	      if ( QuestInfoFrame.questLog ) then
		    _,_,_,_,_,_,_,questid = GetQuestLogTitle(GetQuestLogSelection())
		  else
 		    questid = GetQuestID()
		  end
		  f.text:SetText(format("%d",questid))
		  --print(format("Quest ID: %d", questid))
		  break
		end
		i = i + 3
	end
end

hooksecurefunc("QuestInfo_Display", ShowQuestId_OnQuestInfo_Display)
